Package com.google.android.exoplayer2.trackselection

## Interface TrackSelectionUtil.AdaptiveTrackSelectionFactory

- Enclosing class:
    TrackSelectionUtil

      public static interface TrackSelectionUtil.AdaptiveTrackSelectionFactory

  Functional interface to create a single adaptive track selection.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExoTrackSelection` | `createAdaptiveTrackSelection​(ExoTrackSelection.Definition trackSelectionDefinition)` | Creates an adaptive track selection for the provided track selection definition.

- - ### Method Detail

    - #### createAdaptiveTrackSelection

          ExoTrackSelection createAdaptiveTrackSelection​(ExoTrackSelection.Definition trackSelectionDefinition)

      Creates an adaptive track selection for the provided track selection definition.
      Parameters:
        `trackSelectionDefinition` - A `ExoTrackSelection.Definition` for the track selection.
      Returns:
        The created track selection.